/* ----- Podium ----- */

.podium-title {}

.podium-description {
    margin-top: 20px;
    color: #ffffff;
    font-size: 0.95rem;
    line-height: 1.6;
    text-shadow: 0 0 6px rgba(255, 215, 0, 0.15);
    font-family: "Poppins", sans-serif;
    margin-bottom: 50px;
}

.podium-text {
    flex: 1;
    max-width: 45%;
    text-align: left;
}

.podium-section {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.compositeurs {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #FFD700;
    font-weight: bold;
    text-shadow: 0 0 8px rgba(255, 215, 0, 0.7);
    z-index: 3;
}

/* ----- Slider ----- */

/* caroussel */

/* nav */
.carousel-nav {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
    padding: 0 25px;
}

.nav-btn {
    display: flex;
    align-items: center;
    color: #fff;
    font-weight: bold;
    cursor: pointer;
    opacity: 0.5;
    transition: all 0.3s;
}

.nav-btn:hover {
    opacity: 1;
}


.carousel-btn {
    all: unset;
    cursor: pointer;
}


.slide {
    min-width: 100%;
    padding: 0 25px;
    margin-bottom: 15px;
}

.hidden {
    display: none;
}

.carousel-wrapper {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: fit-content;
    background-color: #25200D;
    border-radius: 24px;
    padding: 25px 0;
}

.carousel {
    display: flex;
    transition: transform 0.6s ease;
    width: 100%;
}

.slider {
    flex: 1;
    max-width: 50%;
}

/* Infos compositeur */

.container-info-compo {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin-bottom: 20px;
}

.nom-compositeur {
    font-size: 2rem;
    color: #FFD700;
}

.nom-compositeur span {
    border-radius: 5px;
    transform: scale(0.8);
}

.container-info-compo h3 {
    margin-bottom: 5px;
}

.image-compo {
    width: 35%;
    border-radius: 10px;
}

/* musique phare */
.info-music {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: rgba(255, 255, 255, 0.2);
    border-left: #FFD700 4px solid;
    padding: 10px;
    border-radius: 0 8px 8px 0;
    margin-bottom: 20px;
}

.info-music p {
    margin: 0;
}

.music-actions {
    display: flex;
    align-items: center;
    gap: 12px;
}

.btn-play {
    background: none;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.5;
    transition: all 0.3s;
}

.btn-play:hover {
    opacity: 1;
}

.icon-play,
.icon-pause {
    width: 28px;
    height: 28px;
    fill: #ffffff;
    transition: opacity 0.3s;
}

/* quelques films */
.info-film {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}

.film-item {
    display: flex;
    align-items: start;
    flex: 1;
    background: rgba(255, 255, 255, 0.1);
    padding: 8px;
    border-radius: 10px;
    position: relative;
}

.affiche_film {
    width: 45%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 4px;
}

.text-film {
    margin: 10px;
}

.text-film h5 {
    font-size: 0.8rem;
    color: #FFD700;
    margin: 0px;
    font-weight: bold;
    margin-bottom: 5px;
}

.text-film p {
    font-style: 0.6rem;
    font-style: italic;
    font-weight: 100;
    color: #ffffff;
    margin: 0px;
    margin-bottom: 5px;
}

.description-compo {
    line-height: 1.3;
    margin: 0;
}

.icone_lien {
    width: 30px;
    text-decoration: none;
    color: #ffffff;
    position: absolute;
    bottom: 8px;
    right: 0;
    opacity: 0.5;
    transition: all 0.3s;
}

.icone_lien:hover {
    opacity: 1;
}

.podium {
    width: 100%;
}

.couronne-compo {
    position: relative;
    margin: auto;
}

.podium-img {
    width: 100%;
}

.light0,
.light1,
.light2 {
    width: 30%;
    height: 100%;
    background: linear-gradient(to top, rgba(250, 208, 196, 0), #ffe65b, rgba(250, 208, 196, 0));
    -webkit-clip-path: polygon(10% 0, 90% 0, 100% 100%, 0 100%);
    clip-path: polygon(10% 0, 90% 0, 100% 100%, 0 100%);
    position: absolute;
    opacity: 0;
    transition: opacity 0.5s;
    cursor: pointer;
}

.light0 {
    left: 50%;
    transform: translateX(-50%);
    top: -10%;
}

.light1 {
    left: 0;
}

.light2 {
    right: 0;
}

.light0:hover,
.light1:hover,
.light2:hover {
    opacity: 0.2;
}

.couronne-compo .active {
    opacity: 0.4;
}